Documentation Index
Fetch the complete documentation index at: https://docs.seleqt.ai/llms.txt
Use this file to discover all available pages before exploring further.
POST /api/v1/public/lead-lists/
Create a new lead list with a specific name and type (people or company list).
- Auth:
X-API-Key
- Method:
POST
Request Body
{
"name": "Enterprise CEOs",
"search_type": "PEOPLE"
}
Parameters
| Parameter | Type | Required | Default | Description |
|---|
name | string | Yes | - | Name of the lead list |
search_type | string | No | PEOPLE | Either PEOPLE or COMPANY to specify the type of lead list |
Response
{
"success": true,
"lead_list": {
"id": 123,
"name": "Enterprise CEOs",
"description": "",
"total_prospects": 0,
"status": "DRAFT",
"search_type": "PEOPLE",
"created_at": "2025-10-08T11:22:33Z",
"updated_at": "2025-10-08T11:22:33Z"
}
}
Lead List Types
- PEOPLE: A list for individual prospects/contacts
- COMPANY: A list for companies/organizations
When you add leads to a list, make sure to use the correct IDs:
- For
PEOPLE lists, use prospect_ids
- For
COMPANY lists, use company_ids
Error Responses
400 Bad Request
{
"error": "name is required"
}
{
"error": "search_type must be either 'PEOPLE' or 'COMPANY'"
}
Example Usage
# Create a people list
curl -X POST "https://api.seleqt.ai/api/v1/public/lead-lists/" \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"name": "Tech CEOs",
"search_type": "PEOPLE"
}'
# Create a company list
curl -X POST "https://api.seleqt.ai/api/v1/public/lead-lists/" \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"name": "SaaS Companies",
"search_type": "COMPANY"
}'
import requests
# Create a people list
response = requests.post(
"https://api.seleqt.ai/api/v1/public/lead-lists/",
headers={"X-API-Key": "<your-api-key>"},
json={
"name": "Tech CEOs",
"search_type": "PEOPLE"
}
)
lead_list = response.json()["lead_list"]
print(f"Created lead list with ID: {lead_list['id']}")